SystemOrganization addCategory: #'MC2-Tests-Meta-Squeak-Smalltalk'!

MDSliceAdaptorTest subclass: #MDChangeSetSliceAdaptorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Meta-Squeak-Smalltalk'!

!MDChangeSetSliceAdaptorTest methodsFor: 'constructing' stamp: 'jf 10/16/2009 15:25'!
adaptorClass
	^ MDChangeSetSliceAdaptor! !

!MDChangeSetSliceAdaptorTest methodsFor: 'asserting' stamp: 'jf 10/16/2009 22:26'!
assertObjectHasDefaultProperties
	super assertObjectHasDefaultProperties.
	self assert: self slice name = self sliceName! !

!MDChangeSetSliceAdaptorTest methodsFor: 'constructing' stamp: 'jf 10/16/2009 16:42'!
createSlice
	^ MDChangeSetSlice id: self sliceId changeSet: (ChangeSet basicNewNamed: self sliceName)! !

!MDChangeSetSliceAdaptorTest methodsFor: 'constructing' stamp: 'jf 10/16/2009 15:32'!
elementClass
	^ MDChangeSetSliceElement! !

!MDChangeSetSliceAdaptorTest methodsFor: 'constructing' stamp: 'jf 10/16/2009 21:33'!
properties
	^ super properties
		name: self sliceName;
		yourself! !

!MDMonticelloAdaptionTest methodsFor: '*mc2-tests-meta-squeak-smalltalk' stamp: 'cwp 9/11/2009 19:58'!
testChangeSetSlice
	| changeset slice |
	changeset := ChangeSet basicNewNamed: 'test'.
	slice := MDChangeSetSlice on: changeset.
	self tryAdapting: (MDChangeSetSliceElement for: slice)! !

!MDMonticelloAdaptionTest methodsFor: '*mc2-tests-meta-squeak-smalltalk' stamp: 'cwp 9/11/2009 20:14'!
testPackageInfoSlice
	| slice |
	slice := MDPackageInfoSlice named: 'TestPackage'.
	self tryAdapting: (MDPackageInfoSliceElement for: slice)! !

!MDProjectSliceTest methodsFor: '*mc2-tests-meta-squeak-smalltalk' stamp: 'jf 9/20/2009 22:27'!
testChangeSetSlice
	| changeSetSlice |
	changeSetSlice := MDChangeSetSlice on: (ChangeSet basicNewNamed: 'Test').
	project addSlice: changeSetSlice.
	self assertIncludesSlice: changeSetSlice! !

!MDProjectSliceTest methodsFor: '*mc2-tests-meta-squeak-smalltalk' stamp: 'jf 9/20/2009 22:32'!
testPackageInfoSlice
	| theSlice |
	theSlice := MDPackageInfoSlice named: 'Test'.
	self denyIncludesSlice: theSlice.
	project addSlice: theSlice.
	self assertIncludesSlice: theSlice! !
